Package: org.grails.encoder

## [Java] Class ChainedDecoder

- org.grails.encoder.ChainedDecoder

- All Implemented Interfaces and Traits:
    Decoder

      public class ChainedDecoder
      extends java.lang.Object
      implements Decoder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CodecIdentifier` | `codecIdentifier` |
    `protected Decoder[]` | `decoders` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ChainedDecoder (Decoder[] decoders)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CombinedCodecIdentifier` | `createCodecIdentifier(Decoder[] decoders)`
    `` | `public java.lang.Object` | `decode(java.lang.Object o)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected CodecIdentifier codecIdentifier

    - #### protected Decoder[] decoders

  - ### Constructor Detail

    - #### public ChainedDecoder(Decoder[] decoders)

  - ### Method Detail

    - #### protected CombinedCodecIdentifier createCodecIdentifier(Decoder[] decoders)

    - #### @java.lang.Override public java.lang.Object decode(java.lang.Object o)

    - #### @java.lang.Override public CodecIdentifier getCodecIdentifier()